# -*- coding: utf-8 -*-
"""
Created on Fri Nov 10 10:53:27 2023

@author: Will
"""

import math
import scipy
import numpy as np
import mpmath as mp
from mpmath import mpf, mpc, mp
import sys
import matplotlib.pyplot as plt
import pandas as pd
from itertools import islice



fl=np.linspace(0.,0.8,6)

fullData = np.loadtxt("logndtratioAllTemp5ChainNewSpaceHotAndCold.txt")                                                                   

fitdata = np.loadtxt("fitDataNewSpaceHotAndCold.txt")




#Temp=420 (real one that chooses some cross-sections)
#plt.plot(fl,fitdata[0:6],'r') #fml = fms = fs = 0
#plt.scatter(fl,fullData[0:6])

#plt.plot(fl,fitdata[258:264],'r') #fml = fms = 0.06, fs = 0.04
#plt.scatter(fl,fullData[258:264])

#plt.plot(fl,fitdata[510:516],'r') #fml = fms = 0.12, fs = 0.08
#plt.scatter(fl,fullData[510:516])

#plt.plot(fl,fitdata[762:768],'r') #fml = fms = 0.18, fs = 0.12
#plt.scatter(fl,fullData[762:768])

#plt.plot(fl,fitdata[1014:1020],'r') #fml = fms = 0.24, fs = 0.16
#plt.scatter(fl,fullData[1014:1020])

#plt.plot(fl,fitdata[1290:1296],'r') #fml = 0.3, fms = 0.3, fs = 0.2
#plt.scatter(fl,fullData[1290:1296])

#plt.ylabel(r'$log\left(\dfrac{\dot{N}(T)}{\dot{N}_q(T_{ref})}\right)$')
#plt.xlabel('$\Delta f_4$')
#plt.title('T = 420K (Reference: $\Delta \epsilon = -0.00062$)')
#plt.ylim(0,200)
#plt.tight_layout()

#plt.savefig('leastSquaresTemp420.pdf')










#Temp=410 (real one that chooses some cross-sections)
#plt.plot(fl,fitdata[1296:1302],'r') #fml = fms = fs = 0
#plt.scatter(fl,fullData[1296:1302])

#plt.plot(fl,fitdata[1554:1560],'r') #fml = fms = 0.06, fs = 0.04
#plt.scatter(fl,fullData[1554:1560])

#plt.plot(fl,fitdata[1806:1812],'r') #fml = fms = 0.12, fs = 0.08
#plt.scatter(fl,fullData[1806:1812])

#plt.plot(fl,fitdata[2058:2064],'r') #fml = fms = 0.18, fs = 0.12
#plt.scatter(fl,fullData[2058:2064])

#plt.plot(fl,fitdata[2310:2316],'r') #fml = fms = 0.24, fs = 0.16
#plt.scatter(fl,fullData[2310:2316])

#plt.plot(fl,fitdata[2586:2592],'r') #fml = 0.3, fms = 0.3, fs = 0.2
#plt.scatter(fl,fullData[2586:2592])

#plt.ylabel(r'$log\left(\dfrac{\dot{N}(T)}{\dot{N}_q(T_{ref})}\right)$')
#plt.xlabel('$\Delta f_4$')
#plt.title('T = 410K ($\Delta \epsilon = -0.00045$)')
#plt.ylim(0,200)
#plt.tight_layout()

#plt.savefig('leastSquaresTemp410.pdf')






#Temp=400 (real one that chooses some cross-sections)
#plt.plot(fl,fitdata[2592:2598],'r') #fml = fms = fs = 0
#plt.scatter(fl,fullData[2592:2598])

#plt.plot(fl,fitdata[2850:2856],'r') #fml = fms = 0.06, fs = 0.04
#plt.scatter(fl,fullData[2850:2856])

#plt.plot(fl,fitdata[3102:3108],'r') #fml = fms = 0.12, fs = 0.08
#plt.scatter(fl,fullData[3102:3108])

#plt.plot(fl,fitdata[3354:3360],'r') #fml = fms = 0.18, fs = 0.12
#plt.scatter(fl,fullData[3354:3360])

#plt.plot(fl,fitdata[3606:3612],'r') #fml = fms = 0.24, fs = 0.16
#plt.scatter(fl,fullData[3606:3612])

#plt.plot(fl,fitdata[3882:3888],'r') #fml = 0.3, fms = 0.3, fs = 0.2
#plt.scatter(fl,fullData[3882:3888])

#plt.ylabel(r'$log\left(\dfrac{\dot{N}(T)}{\dot{N}_q(T_{ref})}\right)$')
#plt.xlabel('$\Delta f_4$')
#plt.title('T = 400K ($\Delta \epsilon = -0.00025$)')
#plt.ylim(0,200)
#plt.tight_layout()

#plt.savefig('leastSquaresTemp400.pdf')








#Temp=398 (real one that chooses some cross-sections)
plt.plot(fl,fitdata[3888:3894],'r') #fml = fms = fs = 0
plt.scatter(fl,fullData[3888:3894])

plt.plot(fl,fitdata[4146:4152],'r') #fml = fms = 0.06, fs = 0.04
plt.scatter(fl,fullData[4146:4152])

plt.plot(fl,fitdata[4398:4404],'r') #fml = fms = 0.12, fs = 0.08
plt.scatter(fl,fullData[4398:4404])

plt.plot(fl,fitdata[4650:4656],'r') #fml = fms = 0.18, fs = 0.12
plt.scatter(fl,fullData[4650:4656])

plt.plot(fl,fitdata[4902:4908],'r') #fml = fms = 0.24, fs = 0.16
plt.scatter(fl,fullData[4902:4908])

plt.plot(fl,fitdata[5178:5184],'r') #fml = 0.3, fms = 0.3, fs = 0.2
plt.scatter(fl,fullData[5178:5184])

plt.ylabel(r'$log\left(\dfrac{\dot{N}_{B}(T)}{\dot{N}_q(T_{ref})}\right)$')
plt.xlabel('$\Delta f_4$')
plt.title('$\Delta \epsilon = 0$ (Reference)')
plt.ylim(0,200)
plt.tight_layout()

plt.savefig('leastSquaresTemp398.pdf')




#Temp=390 (real one that chooses some cross-sections)
#plt.plot(fl,fitdata[5184:5190],'r') #fml = fms = fs = 0
#plt.scatter(fl,fullData[5184:5190])

#plt.plot(fl,fitdata[5442:5448],'r') #fml = fms = 0.06, fs = 0.04
#plt.scatter(fl,fullData[5442:5448])

#plt.plot(fl,fitdata[5694:5700],'r') #fml = fms = 0.12, fs = 0.08
#plt.scatter(fl,fullData[5694:5700])

#plt.plot(fl,fitdata[5946:5952],'r') #fml = fms = 0.18, fs = 0.12
#plt.scatter(fl,fullData[5946:5952])

#plt.plot(fl,fitdata[6198:6204],'r') #fml = fms = 0.24, fs = 0.16
#plt.scatter(fl,fullData[6198:6204])

#plt.plot(fl,fitdata[6474:6480],'r') #fml = 0.3, fms = 0.3, fs = 0.2
#plt.scatter(fl,fullData[6474:6480])

#plt.ylabel(r'$log\left(\dfrac{\dot{N}_{B}(T)}{\dot{N}_q(T_{ref})}\right)$')
#plt.xlabel('$\Delta f_4$')
#plt.title('$\Delta \epsilon = 0.00035$')
#plt.ylim(0,200)
#plt.tight_layout()

#plt.savefig('leastSquaresTemp390.pdf')




#Temp=370 (real one that chooses some cross-sections)
#plt.plot(fl,fitdata[7776:7782],'r') #fml = fms = fs = 0
#plt.scatter(fl,fullData[7776:7782])

#plt.plot(fl,fitdata[8034:8040],'r') #fml = fms = 0.06, fs = 0.04
#plt.scatter(fl,fullData[8034:8040])

#plt.plot(fl,fitdata[8286:8292],'r') #fml = fms = 0.12, fs = 0.08
#plt.scatter(fl,fullData[8286:8292])

#plt.plot(fl,fitdata[8538:8544],'r') #fml = fms = 0.18, fs = 0.12
#plt.scatter(fl,fullData[8538:8544])

#plt.plot(fl,fitdata[8790:8796],'r') #fml = fms = 0.24, fs = 0.16
#plt.scatter(fl,fullData[8790:8796])

#plt.plot(fl,fitdata[9066:9072],'r') #fml = 0.3, fms = 0.3, fs = 0.2
#plt.scatter(fl,fullData[9066:9072])

#plt.ylabel(r'$log\left(\dfrac{\dot{N}_{B}(T)}{\dot{N}_q(T_{ref})}\right)$')
#plt.xlabel('$\Delta f_4$')
#plt.title('$\Delta \epsilon = 0.00225$')
#plt.ylim(0,200)
#plt.tight_layout()

#plt.savefig('leastSquaresTemp370.pdf')



#Temp=350 (real one that chooses some cross-sections)
#plt.plot(fl,fitdata[10368:10374],'r') #fml = fms = fs = 0
#plt.scatter(fl,fullData[10368:10374])

#plt.plot(fl,fitdata[10626:10632],'r') #fml = fms = 0.06, fs = 0.04
#plt.scatter(fl,fullData[10626:10632])

#plt.plot(fl,fitdata[10878:10884],'r') #fml = fms = 0.12, fs = 0.08
#plt.scatter(fl,fullData[10878:10884])

#plt.plot(fl,fitdata[11130:11136],'r') #fml = fms = 0.18, fs = 0.12
#plt.scatter(fl,fullData[11130:11136])

#plt.plot(fl,fitdata[11382:11388],'r') #fml = fms = 0.24, fs = 0.16
#plt.scatter(fl,fullData[11382:11388])

#plt.plot(fl,fitdata[11658:11664],'r') #fml = 0.3, fms = 0.3, fs = 0.2
#plt.scatter(fl,fullData[11658:11664])

#plt.ylabel(r'$log\left(\dfrac{\dot{N}_{B}(T)}{\dot{N}_q(T_{ref})}\right)$')
#plt.xlabel('$\Delta f_4$')
#plt.title('$\Delta \epsilon = 0.00515$')
#plt.ylim(0,200)
#plt.tight_layout()

#plt.savefig('leastSquaresTemp350.pdf')



