# -*- coding: utf-8 -*-
"""
Created on Fri Nov 10 10:02:21 2023

@author: Will
"""


import math
import scipy
import numpy as np
import mpmath as mp
from mpmath import mpf, mpc, mp
import sys
import matplotlib.pyplot as plt
import pandas as pd
from itertools import islice





filenames =  ['logndtratio5temp420newSpace.txt', 'logndtratio5temp410newSpace.txt', 'logndtratio5temp400newSpace.txt',
             'logndtratio5temp398newSpace.txt', 'logndtratio5temp390newSpace.txt', 'logndtratio5temp380newSpace.txt',
             'logndtratio5temp370newSpace.txt', 'logndtratio5temp360newSpace.txt', 'logndtratio5temp350newSpace.txt',
             'logndtratio5temp340newSpace.txt', 'logndtratio5temp330newSpace.txt']

with open('logndtratioAllTemp5ChainNewSpaceHotAndCold.txt', 'w') as outfile:
    for fname in filenames:
        with open(fname) as infile:
            outfile.write(infile.read())


def testfunc(a):
    
    fl=np.linspace(0.,0.8,6)
    fml=np.linspace(0.,0.3,6)
    fms=np.linspace(0.,0.3,6)
    fs=np.linspace(0.,0.2,6)
    coeffs = np.loadtxt('coeffsTemp398newSpace.txt')
    qEcoeffs = np.loadtxt('quiescentEcoeffsHotAndCold.txt')
    deltaE = [-0.00062,-0.00045,-0.00025,0,0.00035,0.00115,0.00225,0.00305,0.00515,0.00795,0.01295]#,0.02205,0.03605,0.05405,0.13835]
    f = np.loadtxt("logndtratioAllTemp5ChainNewSpaceHotAndCold.txt")
    #f = lognDotqData
    
    func = 0.0
    for i in range(0,11):
        for m in range(0,6):
            for l in range (0,6):
                for k in range(0,6):
                    for j in range(0,6):
                        func += ((coeffs[0]*fs[m] + coeffs[1]*fs[m]**2 + coeffs[2]*fms[l] + coeffs[3]*fms[l]*fs[m] + coeffs[4]*fms[l]**2 + 
                      coeffs[5]*fml[k] + coeffs[6]*fml[k]*fs[l] + coeffs[7]*fml[k]*fms[l] + coeffs[8]*fml[k]**2 + 
                      coeffs[9]*fl[j] + coeffs[10]*fl[j]*fs[m] + coeffs[11]*fl[j]*fms[l] + coeffs[12]*fl[j]*fml[k] + 
                      coeffs[13]*fl[j]**2 + qEcoeffs[0]*deltaE[i] + qEcoeffs[1]*deltaE[i]**2 + a[0]*fs[m]*deltaE[i] + a[1]*fms[l]*deltaE[i] + 
                  a[2]*fml[k]*deltaE[i] + a[3]*fl[j]*deltaE[i])/(1 + coeffs[14]*fs[m] + coeffs[15]*fs[m]**2 + coeffs[16]*fms[l] + coeffs[17]*fms[l]*fs[m] + coeffs[18]*fms[l]**2 + 
                   coeffs[19]*fml[k] + coeffs[20]*fml[k]*fs[m] + coeffs[21]*fml[k]*fms[l] + coeffs[22]*fml[k]**2 + 
                   coeffs[23]*fl[j] + coeffs[24]*fl[j]*fs[m] + coeffs[25]*fl[j]*fms[l] + coeffs[26]*fl[j]*fml[k] + 
                   coeffs[27]*fl[j]**2 + qEcoeffs[2]*deltaE[i] + qEcoeffs[3]*deltaE[i]**2 + a[4]*fs[m]*deltaE[i] + a[5]*fms[l]*deltaE[i] + 
             a[6]*fml[k]*deltaE[i] + a[7]*fl[j]*deltaE[i]) - f[j + 6*k + 36*l + 216*m + 1296*i])**2
            
        fun = func/14256 
        
    return fun

x0_testfunc = np.array([0, 0, 0, 0, 0, 0, 0, 0]) #, 0, 0, 0, 0])

res = scipy.optimize.minimize(testfunc,x0_testfunc,method='Powell')#,method='Nelder-Mead')

print(res)

eCoeffs = res.x
print(eCoeffs)

np.savetxt("eCoeffs5ChainNewSpaceHotAndCold.txt",eCoeffs)

fl=np.linspace(0.,0.8,6)
fml=np.linspace(0.,0.3,6)
fms=np.linspace(0.,0.3,6)
fs=np.linspace(0.,0.2,6)
coeffs = np.loadtxt('coeffsTemp398newSpace.txt')
qEcoeffs = np.loadtxt('quiescentEcoeffsHotAndCold.txt')
deltaE = [-0.00062,-0.00045,-0.00025,0,0.00035,0.00115,0.00225,0.00305,0.00515,0.00795,0.01295]#,0.02205,0.03605,0.05405,0.13835]

fitdataHotAndCold = []

for i in range(0,11):
    for m in range(0,6):
        for l in range(0,6):
            for k in range(0,6):
                for j in range(0,6):
                    fitdataHotAndCold.append((coeffs[0]*fs[m] + coeffs[1]*fs[m]**2 + coeffs[2]*fms[l] + coeffs[3]*fms[l]*fs[m] + coeffs[4]*fms[l]**2 + 
          coeffs[5]*fml[k] + coeffs[6]*fml[k]*fs[l] + coeffs[7]*fml[k]*fms[l] + coeffs[8]*fml[k]**2 + 
          coeffs[9]*fl[j] + coeffs[10]*fl[j]*fs[m] + coeffs[11]*fl[j]*fms[l] + coeffs[12]*fl[j]*fml[k] + 
          coeffs[13]*fl[j]**2 + qEcoeffs[0]*deltaE[i] + qEcoeffs[1]*deltaE[i]**2 + eCoeffs[0]*fs[m]*deltaE[i] + eCoeffs[1]*fms[l]*deltaE[i] + 
      eCoeffs[2]*fml[k]*deltaE[i] + eCoeffs[3]*fl[j]*deltaE[i])/(1 + coeffs[14]*fs[m] + coeffs[15]*fs[m]**2 + coeffs[16]*fms[l] + coeffs[17]*fms[l]*fs[m] + coeffs[18]*fms[l]**2 + 
       coeffs[19]*fml[k] + coeffs[20]*fml[k]*fs[m] + coeffs[21]*fml[k]*fms[l] + coeffs[22]*fml[k]**2 + 
       coeffs[23]*fl[j] + coeffs[24]*fl[j]*fs[m] + coeffs[25]*fl[j]*fms[l] + coeffs[26]*fl[j]*fml[k] + 
       coeffs[27]*fl[j]**2 + qEcoeffs[2]*deltaE[i] + qEcoeffs[3]*deltaE[i]**2 + eCoeffs[4]*fs[m]*deltaE[i] + eCoeffs[5]*fms[l]*deltaE[i] + 
 eCoeffs[6]*fml[k]*deltaE[i] + eCoeffs[7]*fl[j]*deltaE[i]))




fullData = np.loadtxt("logndtratioAllTemp5ChainNewSpaceHotAndCold.txt")                                                                   

np.savetxt("fitDataNewSpaceHotAndCold.txt",fitdataHotAndCold)




